summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorArfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>2011-02-14 20:46:52 +0000
committerArfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>2011-02-14 20:46:52 +0000
commit382c2772d315af0f21679b409b23af1b25ca97fd (patch)
treeba7727712382005c7b4fb9a02c17a4da7c1f5089 /eclass
parentDrop alpha keywords (diff)
downloadhistorical-382c2772d315af0f21679b409b23af1b25ca97fd.tar.gz
historical-382c2772d315af0f21679b409b23af1b25ca97fd.tar.bz2
historical-382c2772d315af0f21679b409b23af1b25ca97fd.zip
Fix support for non-GNU cp in python_merge_intermediate_installation_images() (bug #352406).
Diffstat (limited to 'eclass')
-rw-r--r--eclass/python.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/python.eclass b/eclass/python.eclass
index 0ac20b7a76b1..ae6628a9ad86 100644
--- a/eclass/python.eclass
+++ b/eclass/python.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.108 2010/12/31 21:51:41 abcd Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.109 2011/02/14 20:46:52 arfrever Exp $
# @ECLASS: python.eclass
# @MAINTAINER:
@@ -1449,7 +1449,11 @@ for file in sorted(files_set):
popd > /dev/null || die "popd failed"
- cp -fr --preserve=all "${intermediate_installation_images_directory}/${PYTHON_ABI}/"* "${D}" || die "Merging of intermediate installation image for Python ABI '${PYTHON_ABI} into installation image failed"
+ if ROOT="/" has_version sys-apps/coreutils; then
+ cp -fr --preserve=all "${intermediate_installation_images_directory}/${PYTHON_ABI}/"* "${D}" || die "Merging of intermediate installation image for Python ABI '${PYTHON_ABI} into installation image failed"
+ else
+ cp -fpr "${intermediate_installation_images_directory}/${PYTHON_ABI}/"* "${D}" || die "Merging of intermediate installation image for Python ABI '${PYTHON_ABI} into installation image failed"
+ fi
done
rm -fr "${intermediate_installation_images_directory}"